## Name

named-checkzone — zone file validity checking tool

## Synopsis

`named-checkzone` [`-d`] [`-j`] [`-q`] [`-v`] [`-c `class``] [`-k `mode``] [`-n `mode``] [`-o `filename``] [`-t `directory``] [`-w `directory``] [`-D`] {zonename} {filename}

## DESCRIPTION

named-checkzone checks the syntax and integrity of a zone file. It performs the same checks as named does when loading a zone. This makes named-checkzone useful for checking zone files before configuring them into a name server.

## OPTIONS

-d

  Enable debugging.

-q

  Quiet mode - exit code only.

-v

  Print the version of the named-checkzone program and exit.

-j

  When loading the zone file read the journal if it exists.

-c `class`

  Specify the class of the zone. If not specified "IN" is assumed.

-k `mode`

  Perform "check-name" checks with the specified failure mode. Possible modes are "fail", "warn" (default) and "ignore".

-n `mode`

  Specify whether NS records should be checked to see if they are addresses. Possible modes are "fail", "warn" (default) and "ignore".

-o `filename`

  Write zone output to `filename`.

-t `directory`

  chroot to `directory` so that include directives in the configuration file are processed as if run by a similarly chrooted named.

-w `directory`

  chdir to `directory` so that relative filenames in master file $INCLUDE directives work. This is similar to the directory clause in `named.conf`.

-D

  Dump zone file in canonical format.

zonename

  The domain name of the zone being checked.

filename

  The name of the zone file.

## RETURN VALUES

named-checkzone returns an exit status of 1 if errors were detected and 0 otherwise.

## SEE ALSO

named(8), RFC 1035, BIND 9 Administrator Reference Manual.

## AUTHOR

Internet Systems Consortium